<?php
session_start();
// Sends the user to the login-page if not logged in
if(!isset($_SESSION['tkusernameCART'])) {
   header('Location:login.php');
   $_SESSION['msglog']="Require Login";
   $_SESSION['msgloglogin']=true;
   exit;
}
else
{
					$CARTUSERNAME=$_SESSION['tkusernameCART'];     
					$CARTTOKEN=$_SESSION['token']; 
					$COMPANY_ID=$_SESSION['tkcompanyCART'];
					$TOKEN_ID=$_GET['token_id'];
					
					if($TOKEN_ID!=$CARTTOKEN)
					{
						header("location:logout.php");
						exit;
					}
					$page_name=basename($_SERVER['PHP_SELF']);
}
	
			
?>